Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452783 - GCC Gnat 4.3.x update warning/error message
Summary: GCC Gnat 4.3.x update warning/error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 10
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 05:00 UTC by Joachim Frieben
Modified: 2009-11-18 13:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 13:26:42 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2008-06-25 05:00:15 UTC
Description of problem:
When updating to the current "rawhide" version of gcc-gnat, a warning/
error message is issued to the console:

 install-info: menu item `GNAT User's Guide (gnat_ugn_unw)
' already exists, for file `(none)'

Likewise on uninstall, a similar message

install-info: warning: no entries found for
`/usr/share/info/gnat_ugn_unw.info.gz'; nothing deleted

appears.

Version-Release number of selected component (if applicable):
gcc-gnat-4.3.1-3

How reproducible:
Alays.

Steps to Reproduce:
1. rpm -Fhv gcc-gnat-4.3.1-3.i386.rpm while an older version is installed.
  
Actual results:
Above warning/error message appears.

Expected results:
Update of gcc-gnat completes without complaint.

Additional info:
No message is returned when gcc-gnat is installed from scratch.

Comment 1 Jakub Jelinek 2008-06-25 09:54:09 UTC
You were upgrading from some F9 betas, right?  There used to be a gcc-gnat
bug in some of the earlier F9 betas, see #433222.  In that case you need
to hand edit it.

Comment 2 Joachim Frieben 2008-06-25 10:57:40 UTC
No, this was a fresh install performed on 2008-06-19 from the official
F9 install DVD. Subsequently, I updated to the respective 4.3.1
snapshots from koji via manual download and 'rpm -Fhv *rpm'.

Comment 3 Joachim Frieben 2008-09-12 18:28:04 UTC
Upgrading to gcc-gnat-4.3.2-3 succeeds without any complaint. However, now manually uninstalling the package results in:

  $ rpm -e gcc-gnat
  install-info: warning: no entries found for `/usr/share
    /info/gnat_ugn_unw.info.gz'; nothing deleted

Comment 4 Joachim Frieben 2008-10-06 08:10:11 UTC
$ rpm -Uhv --force gcc-gnat-4.3.2-4.x86_64.rpm libgnat-4.3.2-4.x86_64.rpm
Preparing...                ########################################### [100%]
   1:libgnat                ########################################### [ 50%]
   2:gcc-gnat               ########################################### [100%]
install-info: menu item `GNAT User's Guide (gnat_ugn_unw)
' already exists, for file `(none)'

$ rpm -e gcc-gnat
install-info: warning: no entries found for `/usr/share/info/gnat_ugn_unw.info.gz'; nothing deleted

Comment 5 Bug Zapper 2008-11-26 02:28:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bruno Wolff III 2009-02-14 20:26:23 UTC
I am seeing something related in Rawhide for F11.
  Updating       : gcc-gnat                                              77/169 
install-info: No such file or directory for /usr/share/info/gnat_ugn_unw.info.gz
This is going from gcc-gnat-4.4.0-0.17.i386 to gcc-gnat-4.4.0-0.18.i386.

Comment 7 Joachim Frieben 2009-03-29 06:26:28 UTC
Still an issue for current "rawhide". Latest observation for gcc-gnat-4.4.0-0.30.

Comment 8 Joachim Frieben 2009-04-23 14:05:35 UTC
# rpm -Uhv gcc-gnat-4.4.0-1.x86_64.rpm libgnat-4.4.0-1.x86_64.rpm libgnat-devel-4.4.0-1.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:libgnat                ########################################### [ 33%]
   2:libgnat-devel          ########################################### [ 67%]
   3:gcc-gnat               ########################################### [100%]
install-info: No such file or directory for /usr/share/info/gnat_ugn_unw.info.gz

Directory /usr/share/info/ actually only contains:

   /usr/share/info/gnat_rm.info.gz
   /usr/share/info/gnat_ugn.info.gz
   /usr/share/info/gnat-style.info.gz ,

thus file gnat_ugn_unw.info.gz is missing.

However, 'rpm -ql gcc-gnat | grep info' simply returns

   /usr/share/info/gnat-style.info.gz
   /usr/share/info/gnat_rm.info.gz
   /usr/share/info/gnat_ugn.info.gz

which appears to be correct.

Comment 9 Joachim Frieben 2009-04-25 08:43:38 UTC
Issue has been successfully fixed for "rawhide" by package gcc-4.4.0-2.

Comment 10 Joachim Frieben 2009-09-21 18:09:37 UTC
Installing/updating gcc-gnat works correctly for current gcc-gnat-4.3.2-7,

$ rpm -Uhv --force gcc-gnat-4.3.2-7.i386.rpm
Preparing...                ########################################### [100%]
   1:gcc-gnat               ########################################### [100%]

However, still the same error message when removing it.

$ rpm -e gcc-gnat
install-info: warning: no entries found for `/usr/share/info/gnat_ugn_unw.info.gz'; nothing deleted .

Comment 11 Bug Zapper 2009-11-18 12:35:25 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.